{%- from 'components/freigabestatus_badge.html.jinja' import freigabestatus_badge -%}
{%- from 'components/metadata.html.jinja' import metadata_card -%}

{% macro version_picker(versions) %}
  {% call metadata_card("Verfügbare Versionen", "https://docs.fitko.de/fim/docs/glossar/#verfuegbare_versionen") %}
    <div class="nav nav-pills flex-column gap-1 p-2">
      {% for version in versions %}
        <a
          href="{{ version.link }}"
          class="nav-link {% if version.is_active %}active{% endif %} d-flex flex-row gap-2 align-items-center justify-content-between"
        >
          {{ version.label }}
          {{ freigabestatus_badge(version.freigabe_status) }}
        </a>
      {% endfor %}
    </div>
  {% endcall %}
{% endmacro %}
